Skip to main content
PUT
Webhook Edit

Authorizations

api_key
string
header
required

Headers

Company-Name
string
required

Schema name for multi-tenancy

Path Parameters

id
integer
required

The ID of the webhook to update

Example:

25

Body

application/json
webhook_url
string<uri>
required

The updated URL where webhook events will be sent

Example:

"https://webhook.site/abcdefgh123456789"

description
string
required

Updated description of the webhook

Example:

"This edited is a test webhook to capture call start and end events."

agent_ids
string[]
required

List of agent IDs this webhook is associated with

events_to_subscribe
string[]
required

Events to subscribe to (e.g., call.started, call.ended)

Response

Webhook updated successfully

message
string
Example:

"Webhook updated successfully!"

data
object